## com.sun.jersey.server.spi.component
Annotation Type ResourceComponentProviderFactoryClass

    @Target(value=ANNOTATION_TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface ResourceComponentProviderFactoryClass

Specifies the resource component provider that is used to obtain an instance of the resource class. Omission of this annotation will result in the default provider being used.

See Also:
  `ResourceComponentProvider`

Required Element Summary
`java.lang.Class<? extends ResourceComponentProviderFactory>` | `value` The class of the resource component provider that is used to obtain an instance of the resource class.

Element Detail

### value

    public abstract java.lang.Class<? extends ResourceComponentProviderFactory> value

  The class of the resource component provider that is used to obtain an instance of the resource class. The specified class must implement `ResourceComponentProvider`.

  Returns:
    the resource component provider class.

Copyright © 2017 Oracle Corporation. All Rights Reserved.